#!/bin/bash
#
# quasseldocker quaselcore wrapper
#

# we need to be root for this
if [[ `whoami` != 'root' ]]; then
  echo "we need to be root for this, quitting"
  exit 1
fi

# make sure permissions are okay
chown -R quasselcore:quassel /var/lib/quassel/

# run the damn thing
su -s /bin/bash -c 'quasselcore --configdir=/var/lib/quassel/' quasselcore